Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
Mercury.Interpreting.RewriteRuleCollectionBuilder< T > Class Template Reference

Can be used to construct Mercury.Interpreting.RewriteRuleCollection{T} More...

## Public Member Functions
| RewriteRuleCollectionBuilder ()
| Initializes a new instance of the RewriteRuleCollectionBuilder{T} class. More...
RewriteRuleCollectionBuilder< T > | AddRewriteRule (RewriteRule< T > rule)
| Adds a RewriteRule to the collection More...
RewriteRuleCollectionBuilder< T > | AddRules (RewriteRuleCollection< T > rules)
| Adds the collection of rules. More...
RewriteRuleCollection< T > | GetCollection ()
| Creates a RewriteRuleCollection with rules from this builder. More...

## Detailed Description

Can be used to construct Mercury.Interpreting.RewriteRuleCollection{T}

Type Constraints

  T | : | class |

Definition at line 78 of file RewriteRuleCollection.cs.

## Constructor & Destructor Documentation

Mercury.Interpreting.RewriteRuleCollectionBuilder< T >.RewriteRuleCollectionBuilder | ( |  | ) |

Initializes a new instance of the RewriteRuleCollectionBuilder{T} class.

Definition at line 91 of file RewriteRuleCollection.cs.

## Member Function Documentation

RewriteRuleCollectionBuilder<T> Mercury.Interpreting.RewriteRuleCollectionBuilder< T >.AddRewriteRule | ( | RewriteRule< T > | rule | ) |

Adds a RewriteRule to the collection

Parameters

  rule | The rule.

Returns
  This instance to suppor chaining.

Definition at line 102 of file RewriteRuleCollection.cs.

RewriteRuleCollectionBuilder<T> Mercury.Interpreting.RewriteRuleCollectionBuilder< T >.AddRules | ( | RewriteRuleCollection< T > | rules | ) |

Adds the collection of rules.

Parameters

  rules | The rules.

Returns
  This instance to support chaining.

Definition at line 120 of file RewriteRuleCollection.cs.

RewriteRuleCollection<T> Mercury.Interpreting.RewriteRuleCollectionBuilder< T >.GetCollection | ( |  | ) |

Creates a RewriteRuleCollection with rules from this builder.

Definition at line 124 of file RewriteRuleCollection.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Interpreting/RewriteRuleCollection.cs